FROM alpine

RUN apk add --no-cache --update \
        python3 \
        py3-pip \
        git \
        ansible \
        openssh \
    && ansible-galaxy collection install community.general \
    && pip install --no-cache-dir \
        molecule[docker] \
        molecule-vagrant \
        ansible-lint \
        yamllint \
        testinfra \
        pytest

CMD ["cat", "/dev/null"]